GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

Overview
Spot
    OverviewGet started
    Orders API
    Market Data API
    Fund Management API
    Instant Orders API
    WebSocket API
    FIX API
Margin
    Overview
    Margin REST API
      Get Margin Account SummaryGet Margin Interest RatesPreview Margin Order Impact
Staking
    Overview
    Staking REST API
      List Staking BalancesStake Crypto FundsUnstake Crypto FundsList Staking Event HistoryList Staking RatesList Staking Rewards
Clearing
    Clearing REST API
      Clearing Orders
      Broker & Trade Operations

Get Margin Interest Rates

TradingMargin TradingGet Margin Interest Rates

Get Margin Interest Rates

POSThttps://api.gemini.com/v1/margin/rates

Retrieves current margin interest rates for all borrowable assets. Returns hourly, daily, and annual borrow rates for each currency.

Account Type

This endpoint is only available for margin trading accounts.

POSTv1/margin/rates
curl --request POST \
  --url https://api.gemini.com/v1/margin/rates \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/margin/rates",
  "nonce": "<nonce>"
}
'

Roles

The API key you use to access this endpoint must have the Trader, Fund Manager or Auditor role assigned. See Roles for more information.

The OAuth scope must have balances:read assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/margin/rates"
nonceTimestampType | integer·required
timestampExample: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group.
Example request body
{
  "request": "/v1/margin/rates",
  "nonce": "<nonce>"
}

Responses

Current margin interest rates for all borrowable assets

ratesarray·required
Array of interest rates for all borrowable currencies
rates[].currencystring·required
The currency code (e.g., "BTC", "ETH", "USD")Example: BTC
rates[].borrowRatestring (decimal)·required
The hourly borrow rate as a decimalExample: 0.00001141552511
rates[].borrowRateDailystring (decimal)·required
The daily borrow rate (hourly rate × 24)Example: 0.00027397260264
rates[].borrowRateAnnualstring (decimal)·required
The annualized borrow rate (daily rate × 365)Example: 0.1
rates[].lastUpdatedinteger (int64)·required
Unix timestamp in milliseconds when the rate was last updatedExample: 1700000000000
Example Responses
{
  "rates": [
    {
      "currency": "BTC",
      "borrowRate": "0.00001141552511",
      "borrowRateDaily": "0.00027397260264",
      "borrowRateAnnual": "0.1",
      "lastUpdated": 1700000000000
    },
    {
      "currency": "ETH",
      "borrowRate": "0.00001141552511",
      "borrowRateDaily": "0.00027397260264",
      "borrowRateAnnual": "0.1",
      "lastUpdated": 1700000000000
    },
    {
      "currency": "USD",
      "borrowRate": "0.00000913242009",
      "borrowRateDaily": "0.00021917808216",
      "borrowRateAnnual": "0.08",
      "lastUpdated": 1700000000000
    }
  ]
}
PreviousGet Margin Account SummaryNextPreview Margin Order Impact